  <! DOCTYPE html>
<html lang="es">
    <head>
      <title> Project Management with Brackets, CSS Styles and GitLab </title>  
        <meta charset="UTF-8">
       <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!--
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scalable=1, maximum-scale=1, minimum-scale=1">
          -->
        
        
        
        
    <link rel="stylesheet" href="css/fontello.css">
    <link rel="stylesheet" href="css/stylePM.css">
                        
    
    
    
    </head>



    <body>
        <header>
        
       
            <div class="contenedor" > 
            <h1 class="icon-rocket"> Projects Managements </h1>
            
            <nav class="menu">
                <a href="index.html" >HOME</a>
                
            
            
            </nav>
        </div>
        
        </header>
    
    <main>
        
        
        <section id="banner">
             
            
            <!--
        
            <div class="contenedor">
           
            <h2> Fundamentals Lab Project </h2>
            <p> Development of assignments </p>
            <a href="#"> Read More</a>
        
         </div>
                -->
            
        </section>
        
        <section id="description">
        <h2> Creating the Website </h2>
            <p> The first task was the development of a webpage with which we can update our progress in the course.
                For this we have used <a href="https://brackets.io/"><em>Brackets</em></a>, an open source editor for both the HTML file and the CSS. Brackets has the advantage of being able to show you which section of the web page you are working with just by locating you in its respective line of code.
            </p> <br/>
            
            <p>
                Next, a screenshot with the lines of code and their respective comments. These commands are to create our HTML file and then work its appearance with CSS.
           </p> <br/>
        
                 <img src="head.png" border="2" title="Creating the project" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
              <p>
              In the next stage we will create the upper part of the website that will include tabs to link with the different tasks of the course. Subsequently, a content space will be created for the student's presentation.
           </p> <br/>
            
            <img src="body.png" border="2" title="Creating menu and banner" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
             <img src="section.png" border="2" title="Creating the section and more content" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
             <br/>
            
         <h2> Improving visual appearance with CSS </h2>
            
             <p>
              We created a new file in Brackets with CSS extension, thanks to this it is possible to improve the appearance of our website. However, it is better if you work individually the appearance of the different contents on our website.
                   </p> <br/>
              <p>

Subsequently, we link our different CSS files for the contents in a main CSS file.
           </p> <br/>
            
            <img src="CSS%20FILE1.png" border="2" title="Linking the differents CSS Files" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
            <p>

Each CSS file is to modify the appearance of our different contents. This is easier for the order of the contents on the website

           </p> <br/>
            
            <img src="CSSFILES%20TOTALLY.png" border="2" title="Linking the differents CSS Files" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>  <br/>
            
            <h2> Using GIT </h2>
            <p>
              During the course, it will be necessary to update all the advances in our website, we will use the GIT tool you can download
                it in the oficcial Website <a href="https://git-scm.com/downloads"><em>GIT</em></a>.After the download, run the .exe file as administrator
                   </p> 
            </p> <br/>
        
                 <img src="gitDownloads.png" border="2" title="Downloading GIT" style="max-width:100%;width:auto;height:auto;">  
            
            <br/><br/>
        <img src="GITProgramms.png" border="2" title="Downloadong GIT" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
        <br/>
        
        <p>
               
            To verify the correct installation, open the GIT BASH and use the --version
                   </p> 
         <img src="GITVersion.png" border="2" title="Downloading GIT" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
        
          <br/>
           <p>
               Now, open your <a href="https://gitlab.com/"><em> GitLab </em></a> account with which you will create the public repository. 
                   </p> 
        
     
                 <img src="GITLABNew.png" border="2" title="New Project in GITLAB" style="max-width:100%;width:auto;height:auto;">  
        <br/><br/>
        
         <p> Fill in the details of your new project </p> 
         <img src="ProjectName.png" border="2" title="GITLAB Settings" style="max-width:100%;width:auto;height:auto;">
            
            <br/>   
        <br/>   
         <p> Now you must configure your username and your email address in GIMP </p> 
        <img src="GITconfig1.png" border="2" title="GITLAB Settings" style="max-width:100%;width:auto;height:auto;">
           <br/> <br/> 
        
        <p> Now we must create the <em><b>SSH Key</b></em> </p> 
        <img src="SSHKEY.png" border="2" title="SSH KEY" style="max-width:100%;width:auto;height:auto;">
           <br/> <br/>
        
         <p> We look for the <em><b>SSH KEY</b></em> and open the content in a Text editor, in my case use the same Brackets  </p> 
        <img src="FindingSSH.png" border="2" title="Finding SSH Key" style="max-width:100%;width:auto;height:auto;">
           <br/> 
         <img src="SSHinBrackets.png" border="2" title="SSH Key in brackts" style="max-width:100%;width:auto;height:auto;">
           <br/>  <br/>
        <p> Copy the SSH Key from the text editor and paste it, following these steps:  </p> 
      
         <img src="SettingSSH.png" border="2" title="New Project in GITLAB" style="max-width:100%;width:auto;height:auto;">
           <br/> <br/>
        
        <p> Then we have to go to the main page of our project and copy the cloud url </p> 
        <img src="CloudURL.png" border="2" title="Please Copy this URL" style="max-width:100%;width:auto;height:auto;">
           <br/>
        <br/><br/>
        <p> Now, we must clone our repository on our local machine, use the <b>git clone</b> command and paste the URL that we previously copied </p> 
         <img src="GITclone.png" border="2" title="Cloning the repository" style="max-width:100%;width:auto;height:auto;">
           <br/>
        <br/>
        <p>
            Once you have completed your changes in your HTML files you can add them to the repository with the <b>git add</b> command </p>
         <img src="commandAdd.png" border="2" title="Command Add" style="max-width:100%;width:auto;height:auto;">
           <br/><br/>
             <p> We add a comment to identify the changes made in our project, for this, we will use the command <b>git commit</b> </p>
         <img src="GITcommit.png" border="2" title="Command Commit" style="max-width:100%;width:auto;height:auto;">
           <br/><br/>
        
         <p> In order to upload the final files to our website, we will use the <b>push command </b> </p>
         <img src="GITpush.png" border="2" title="Command Push" style="max-width:100%;width:auto;height:auto;">
           <br/><br/>
        
        <p> Wait a few minutes and then check the website address  </p>
         <img src="FINAL%20MANAGEMENT.png" border="2" title="Command Push" style="max-width:100%;width:auto;height:auto;">
           <br/>
        </section>
        
              --> 
        </section>
        </main>
    
    </body>

</html>
